Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/expiring-points/{bucketId}/expire \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"status": "TRANSACTION_CREATED",
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"type": "ADMIN_CREDIT",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Manually expires an active points bucket. The bucket must be in ACTIVE status and have a future expiration date. Both the program and member must be ACTIVE. The card definition must have points expiration enabled.
Creates an ADMIN_POINTS_EXPIRATION transaction processed asynchronously.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/expiring-points/{bucketId}/expire \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"status": "TRANSACTION_CREATED",
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"type": "ADMIN_CREDIT",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Unique card identifier
Unique bucket identifier (pending points or expiring points)
Points expiration result
Was this page helpful?